GRUB-FILE(1)

BEZEICHNUNG
grub-file - Dateityp prüfen

ÜBERSICHT
file OPTIONEN DATEI

BESCHREIBUNG
Prüft, ob die DATEI den angegebenen Typ hat.

--is-i386-xen-pae-domu
    prüft, ob die DATEI als unprivilegierter i386-PAE-Xen-Gastkernel verwendet werden kann.

--is-x86_64-xen-domu
    prüft, ob die DATEI als unprivilegierter x86_64-Xen-Gastkernel verwendet werden kann.

--is-x86-xen-dom0
    prüft, ob die DATEI als privilegierter x86-Gastkernel verwendet werden kann.

--is-x86-multiboot
    prüft, ob die DATEI als x86-Multiboot-Kernel verwendet werden kann.

--is-x86-multiboot2 prüft, ob die DATEI als x86-Multiboot2-Kernel verwendet werden kann.

--is-arm-linux
    prüft, ob die DATEI vom Typ ARM-Linux ist.

--is-arm64-linux
    prüft, ob die DATEI vom Typ ARM64-Linux ist.

--is-ia64-linux
    prüft, ob die DATEI vom Typ IA64-Linux ist.

--is-mips-linux
    prüft, ob die DATEI vom Typ MIPS-Linux ist.

--is-mipsel-linux
    prüft, ob die DATEI vom Typ MIPSEL-Linux ist.

--is-sparc64-linux
    prüft, ob die DATEI vom Typ SPARC64-Linux ist.

--is-powerpc-linux
    prüft, ob die DATEI vom Typ PowerPC-Linux ist.

--is-x86-linux
    prüft, ob die DATEI vom Typ x86-Linux ist.

--is-x86-linux32
    prüft, ob die DATEI vom Typ x86-Linux ist und das 32-Bit-Protokoll unterstützt.

--is-x86-kfreebsd
    prüft, ob die DATEI vom Typ x86-kFreeBSD ist.

--is-i386-kfreebsd
    prüft, ob die DATEI vom Typ i386-kFreeBSD ist.

--is-x86_64-kfreebsd
    prüft, ob die DATEI vom Typ x86_64-kFreeBSD ist.

--is-x86-knetbsd
    prüft, ob die DATEI vom Typ x86-kNetBSD ist.

--is-i386-knetbsd
    prüft, ob die DATEI vom Typ i386-kNetBSD ist.

--is-x86_64-knetbsd prüft, ob die DATEI vom Typ x86_64-kNetBSD ist.

--is-i386-efi
    prüft, ob die DATEI vom Typ i386-EFI ist.

--is-x86_64-efi
    prüft, ob die DATEI vom Typ x86_64-EFI ist.

--is-ia64-efi
    prüft, ob die DATEI vom Typ IA64-EFI ist.

--is-arm64-efi
    prüft, ob die DATEI vom Typ ARM64-EFI ist.

--is-arm-efi
    prüft, ob die DATEI vom Typ ARM-EFI ist.

--is-riscv32-efi
    prüft, ob die DATEI vom Typ RISC-V 32-Bit-EFI ist.

--is-riscv64-efi
    prüft, ob die DATEI vom Typ RISC-V 64-Bit-EFI ist.

--is-hibernated-hiberfil
    prüft, ob die DATEI vom Typ hiberfil.sys im Ruhezustand ist.

--is-x86_64-xnu
    prüft, ob die DATEI vom Typ x86_64-XNU ist (MAC-OS-X-Kernel).

--is-i386-xnu
    prüft, ob die DATEI vom Typ i386 XNU ist (MAC-OS-X-Kernel).

--is-xnu-hibr
    prüft, ob die DATEI vom Typ XNU ist (MAC-OS-X-Kernel, Ruhezustands-Abbild).

--is-x86-bios-bootsector
    prüft, ob die DATEI ein BIOS-Bootsektor ist.

-h, --help zeigt eine Hilfe an und beendet das Programm. -u, --usage zeigt eine Hilfe zur Verwendung dieses Befehls an und beendet das Programm.

SIEHE AUCH
Die vollständige Dokumentation für grub-file wird als ein Texinfo-Handbuch gepflegt. Wenn die Programme info(1) und grub-file auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info grub-file

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).